Bug 1715632 - xfce4-screensaver-preferences not available on the xfce4-settings app
Summary: xfce4-screensaver-preferences not available on the xfce4-settings app
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-screensaver
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-30 20:37 UTC by Carlos Mogas da Silva
Modified: 2019-07-20 02:33 UTC (History)
1 user (show)

Fixed In Version: xfce4-screensaver-0.1.6-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-20 02:33:32 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Xfce 15507 0 None None None 2019-06-17 22:14:30 UTC

Description Carlos Mogas da Silva 2019-05-30 20:37:43 UTC
Description of problem:
xfce4-screensaver package should install and show the xfce4-screensaver-preferences app on the xfce4-settings app since it is "X-XfcePluggable=true"

The current versions don't of both apps don't show it there.
I did test and add "X-XFCE-SettingsDialog" to the categories of the .desktop file and it makes the -preferences app appear on the settings dialog but on the "Other" category and from talking with ppl on #xfce-dev, it should show up on the "Personal" category.

Version-Release number of selected component (if applicable):
rpm -qi xfce4-settings xfce4-screensaver | egrep "(Version|Release)"
Version     : 4.13.6
Release     : 1.fc30
Version     : 0.1.4
Release     : 1.fc30

How reproducible:
Everytime I open xfce4-settings-manager

Steps to Reproduce:
1. install xfce4
2. install xfce4-screensaver
3. try to setup your screensaver settings on xfce4-settings-manager

Actual results:
No screensaver option (besides the xscreensaver one which is still installed by default)

Expected results:
xfce4-screensaver-preferences should show up on the list of "Personal" settings

Comment 1 Carlos Mogas da Silva 2019-05-30 21:03:19 UTC
OK, this should be a bug upstream. I'll leave this one opened just in case the maintainer wants to track the fix.

Comment 2 Mukundan Ragavan 2019-05-30 22:34:30 UTC
Thanks for the upstream report.

Comment 3 Fedora Update System 2019-06-13 23:42:46 UTC
FEDORA-2019-06172f5d60 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-06172f5d60

Comment 4 Fedora Update System 2019-06-14 02:07:36 UTC
xfce4-screensaver-0.1.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-06172f5d60

Comment 5 Fedora Update System 2019-06-25 01:25:35 UTC
xfce4-screensaver-0.1.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-07-04 11:59:41 UTC
FEDORA-2019-8ee97b1afc has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ee97b1afc

Comment 7 Fedora Update System 2019-07-05 00:45:49 UTC
tumbler-0.2.5-1.fc30, xfce4-appfinder-4.13.4-1.fc30, xfce4-screensaver-0.1.6-2.fc30, xfce4-settings-4.13.7-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ee97b1afc

Comment 8 Fedora Update System 2019-07-20 02:33:32 UTC
tumbler-0.2.5-1.fc30, xfce4-appfinder-4.13.4-1.fc30, xfce4-screensaver-0.1.6-2.fc30, xfce4-settings-4.13.7-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.